=== src/filter/Makefile ===

all:
	$(CC) -I../../lib/htslib/ -o lumpy_filter filter.c ../../lib/htslib/libhts.a -lcrypto -lcurl -lpthread -lz
