## lumpy-sv 0.3.0+dfsg

=== debian/changelog ===
lumpy-sv (0.3.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #961998)

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jun 2020 08:49:09 +0200
