=== debian/control ===
Source: lumpy-sv
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               libbamtools-dev,
               libfastahack-dev,
               libgzstream-dev,
               libsqlite3-dev,
               libhts-dev,
               libssl-dev,
               libcurl4-openssl-dev | libcurl4-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/lumpy-sv
Vcs-Git: https://salsa.debian.org/med-team/lumpy-sv.git
Homepage: https://github.com/arq5x/lumpy-sv

Package: lumpy-sv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         samblaster,
         samtools,
         python3,
         python3-pysam,
         python3-numpy,
         bamkit
Recommends: sambamba
Description: general probabilistic framework for structural variant discovery
 LUMPY, a novel SV discovery framework that naturally integrates multiple
 SV signals jointly across multiple samples.  LUMPY yields improved
 sensitivity, especially when SV signal is reduced owing to either low
 coverage data or low intra-sample variant allele frequency.

Package: lumpy-sv-examples
Architecture: all
Depends: ${misc:Depends},
Enhances: lumpy-sv
Description: general probabilistic framework for structural variant discovery (data)
 LUMPY, a novel SV discovery framework that naturally integrates multiple
 SV signals jointly across multiple samples.  LUMPY yields improved
 sensitivity, especially when SV signal is reduced owing to either low
 coverage data or low intra-sample variant allele frequency.
 .
 This package contains some example data and scripts to test lumpy-sv.
