=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

override_dh_install:
	dh_install
	rm debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/scripts/lumpyexpress.config

override_dh_link:
	dh_link
	dh_link /etc/$(DEB_SOURCE)/lumpyexpress.config /usr/share/$(DEB_SOURCE)/scripts/lumpyexpress.config

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
