## lumpy-sv 0.3.1%2Bdfsg

=== debian/changelog ===
lumpy-sv (0.3.1+dfsg-7build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:06 +1100

lumpy-sv (0.3.1+dfsg-7build2) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:11 +0100

lumpy-sv (0.3.1+dfsg-7build1) lunar; urgency=medium

  * No-change rebuild against libbamtools2.5.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Nov 2022 21:47:40 +0000

lumpy-sv (0.3.1+dfsg-7) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 11:30:25 +0200

lumpy-sv (0.3.1+dfsg-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + lumpy-sv-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 07:09:25 +0200

lumpy-sv (0.3.1+dfsg-5) unstable; urgency=medium

  * Fix configure patch according to a hint of Ken Yamaguchi
    Closes: #980005
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jan 2021 10:34:36 +0100

lumpy-sv (0.3.1+dfsg-4) unstable; urgency=medium

  * Link only in lumpy-sv binary (Closes: #973622)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 06 Nov 2020 11:30:49 +0530

lumpy-sv (0.3.1+dfsg-3) unstable; urgency=medium

  * Do not ship lumpyexpress.config in both binary packages
    Closes: #973622

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 19:58:37 +0100

lumpy-sv (0.3.1+dfsg-2) unstable; urgency=medium

  * Build-Depends: python3-pysam
    Closes: #972935
  * Build-Depends: libcurl4-gnutls-dev
    Closes: #972934
  * Fix binary-all builds
    Closes: #972933

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 22:20:27 +0100

lumpy-sv (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.1+dfsg
  * Add sam files for repacked bam files
  * Generate bam files during build
  * Append -g flag
  * Add myself to uploaders

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Sep 2020 01:16:36 +0530

lumpy-sv (0.3.0+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2020 14:08:54 +0200
