## lumpy-sv 0.3.1+dfsg

=== debian/changelog ===
lumpy-sv (0.3.1+dfsg-8) unstable; urgency=medium

  * Team Upload.
  * Add patch to not override dpkg provided c/cxxflags (Closes: #1119475)
  * Remove generated bam files post installation (Closes: #1047978)
  * Remove B-D on python3, dh-python and avoid using this debhelper.
    This works on makefile instead
  * Update shebang patch to fixup python3 shebangs
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders
  * Drop python3:Depends

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Oct 2025 00:58:42 +0530
