=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
-               python3,
+Build-Depends: debhelper-compat (= 13),
                libbamtools-dev,
                libfastahack-dev,
                libgzstream-dev,
                libsqlite3-dev,
                libhts-dev,
                libssl-dev,
-               libcurl4-openssl-dev | libcurl4-dev
-Standards-Version: 4.5.0
+               libcurl4-gnutls-dev,
+               samtools,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/lumpy-sv
 Vcs-Git: https://salsa.debian.org/med-team/lumpy-sv.git
 Homepage: https://github.com/arq5x/lumpy-sv
@@ -22,7 +21,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends},
          samblaster,
          samtools,
          python3,
@@ -40,6 +38,7 @@
 Architecture: all
 Depends: ${misc:Depends},
 Enhances: lumpy-sv
+Multi-Arch: foreign
 Description: general probabilistic framework for structural variant discovery (data)
  LUMPY, a novel SV discovery framework that naturally integrates multiple
  SV signals jointly across multiple samples.  LUMPY yields improved
