=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

override_dh_install:
	cat debian/missing-sources/pe.pos_sorted.sam |samtools view -Sb - > data/pe.pos_sorted.bam
	cat debian/missing-sources/sr.pos_sorted.sam |samtools view -Sb - > data/sr.pos_sorted.bam
	dh_install
	rm -f debian/$(DEB_SOURCE)*/usr/share/$(DEB_SOURCE)/scripts/lumpyexpress.config
	rm -f data/pe.pos_sorted.bam data/sr.pos_sorted.bam
